=== debian/changelog ===
kdenlive (23.04.2-1) unstable; urgency=medium

  * New upstream release.
    - Bump minimum mlt build dependency to 7.14.0.
    - Adjust installed files.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 04 Jul 2023 16:31:17 +0200
