## kdenlive 23.04.3

=== debian/changelog ===
kdenlive (23.04.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 10 Jul 2023 18:51:39 +0200
