## kdenlive 23.08.0

=== data/man/CMakeLists.txt ===
install(FILES kdenlive.1 kdenlive_render.1 DESTINATION ${KDE_INSTALL_MANDIR}/man1 )
