=== debian/changelog ===
kdenlive (23.08.0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 24 Aug 2023 12:28:22 +0200
