## kdenlive 23.08.0-0~ubuntu22.04.1+11.0trisquel2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 
 set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -40,8 +40,27 @@
 set(MLT_MIN_PATCH_VERSION 0)
 set(MLT_MIN_VERSION ${MLT_MIN_MAJOR_VERSION}.${MLT_MIN_MINOR_VERSION}.${MLT_MIN_PATCH_VERSION})
 
+# Qt version
+set(QT_MIN_VERSION 5.15.2)
+if (NOT DEFINED QT_MAJOR_VERSION)
+    set(QT_MAJOR_VERSION 5)
+endif()
+
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(USE_VERSIONLESS_TARGETS ON)
+endif()
+
 # KDE Frameworks
-set(KF_DEP_VERSION "5.92.0")
+if (NOT DEFINED KF_MAJOR)
+  set(KF_MAJOR ${QT_MAJOR_VERSION})
+endif()
+
+if (KF_MAJOR LESS "6")
+  set(KF_DEP_VERSION "5.92.0")
+else()
+  set(KF_DEP_VERSION "5.240.0")
+endif()
+
 find_package(ECM ${KF_DEP_VERSION} REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)
 
@@ -61,7 +80,7 @@
 remove_definitions(-DQT_NO_CAST_FROM_ASCII) # Defined in KDECompilerSettings, but we don't want that yet
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kdenlive\")
-find_package(KF5 ${KF_DEP_VERSION}
+find_package(KF${KF_MAJOR} ${KF_DEP_VERSION}
     REQUIRED COMPONENTS
     Archive
     Bookmarks
@@ -78,24 +97,20 @@
     GuiAddons
     TextWidgets
     IconThemes
-    Declarative
     Solid
     FileMetaData
+    Purpose
 
     OPTIONAL_COMPONENTS
     DocTools
     Crash
-    Purpose
-)
-
-# Qt
-set(QT_MIN_VERSION 5.15.2)
-if (NOT DEFINED QT_MAJOR_VERSION)
-    set(QT_MAJOR_VERSION 5)
-endif()
-
-if (QT_MAJOR_VERSION STREQUAL "6")
-    set(USE_VERSIONLESS_TARGETS ON)
+)
+
+if (KF_MAJOR LESS "6")
+  find_package(KF${KF_MAJOR} ${KF_DEP_VERSION}
+      REQUIRED COMPONENTS
+      Declarative
+  )
 endif()
 
 ecm_set_disabled_deprecation_versions(
@@ -103,6 +118,7 @@
     KF ${KF_DEP_VERSION}
 )
 
+# Qt targets
 find_package(Qt${QT_MAJOR_VERSION}
     REQUIRED COMPONENTS
     Core Widgets
@@ -118,7 +134,7 @@
     find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS SvgWidgets)
 endif()
 if(NOT NODBUS)
-    find_package(KF5 ${KF_DEP_VERSION} REQUIRED COMPONENTS DBusAddons)
+    find_package(KF${KF_MAJOR} ${KF_DEP_VERSION} REQUIRED COMPONENTS DBusAddons)
     find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS DBus)
 endif()
 add_definitions(-DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING)
@@ -149,14 +165,7 @@
     set(DATA_INSTALL_PREFIX "/kdenlive")
 endif()
 
-if(KF5Purpose_FOUND)
-  message(STATUS "Found KF5 Purpose, filesharing enabled")
-  set(KF5_PURPOSE TRUE)
-else()
-  message(STATUS "KF5 Purpose not found, filesharing disabled")
-endif()
-
-if(KF5DocTools_FOUND)
+if(KF${KF_MAJOR}DocTools_FOUND)
     add_subdirectory(doc)
     kdoctools_install(po)
 endif()
@@ -198,7 +207,7 @@
 # Sources
 add_subdirectory(src)
 add_subdirectory(renderer)
-if(KF5GuiAddons_VERSION VERSION_LESS "5.100")
+if(KF${KF_MAJOR}GuiAddons_VERSION VERSION_LESS "6.0")
   add_subdirectory(thumbnailer-deprecated)
 else()
   add_subdirectory(thumbnailer)
