=== debian/changelog ===
kdenlive (4:23.08.0-0~ubuntu22.04.1+11.0trisquel2) aramo-backports; urgency=medium

  * Backported from official PPA for kdenlive

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 08 Sep 2023 22:46:56 +0000

kdenlive (4:23.08.0-0~ubuntu22.04.1) jammy; urgency=low

  * Auto build.

 -- Julius Künzel <jk.kdedev@smartlab.uber.space>  Fri, 08 Sep 2023 18:21:47 +0000
