## kdenlive 23.08.2

=== debian/changelog ===
kdenlive (23.08.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove kxmlgui5 folder.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 27 Oct 2023 09:28:38 +0200
