## kdenlive 23.08.3

=== debian/changelog ===
kdenlive (23.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 09 Nov 2023 13:56:43 +0100
