## kdenlive 23.08.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "4")
 
 set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -207,7 +207,7 @@
 # Sources
 add_subdirectory(src)
 add_subdirectory(renderer)
-if(KF${KF_MAJOR}GuiAddons_VERSION VERSION_LESS "6.0")
+if(KF${KF_MAJOR}GuiAddons_VERSION VERSION_LESS "5.100")
   add_subdirectory(thumbnailer-deprecated)
 else()
   add_subdirectory(thumbnailer)
