=== debian/changelog ===
kdenlive (23.08.4-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 21.08.1-1+rpi1 by root <Peter Michael Green <plugwash@raspbian.org> at Sun, 12 Sep 2021 21:45:33 +0000]
  * Remove armhf from architecture list of qtwebengine build-dependency.

 -- Raspbian forward porter <root@raspbian.org>  Wed, 20 Dec 2023 09:55:24 +0000

kdenlive (23.08.4-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 11 Dec 2023 10:50:43 +0100
