=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,11 @@
     cachetest.cpp
     colorscopestest.cpp
     compositiontest.cpp
+    documenttest.cpp
     effectstest.cpp
     filetest.cpp
     groupstest.cpp
+    hidetest.cpp
     keyframetest.cpp
     markertest.cpp
     mixtest.cpp
@@ -27,6 +29,7 @@
     titlertest.cpp
     treetest.cpp
     trimmingtest.cpp
+    utilstest.cpp
 )
 
 include(ECMAddTests)
