=== src/profiles/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  profiles/profileinfo.cpp
  profiles/profilerepository.cpp
  profiles/profilemodel.cpp
  profiles/tree/profiletreemodel.cpp
  profiles/tree/profilefilter.cpp
  PARENT_SCOPE)
