=== debian/changelog ===
kdenlive (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64, libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:41:41 +0200

kdenlive (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:03:46 +0000

kdenlive (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:51:08 +0000

kdenlive (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:42:43 -0700

kdenlive (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:14:15 +0000

kdenlive (4:23.08.3-0ubuntu2) noble; urgency=medium

  * Add missing runtime qml module depends:
    - qml-module-org-kde-kcm (LP: #2043261)
    - qml-module-org-kde-newstuff

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Nov 2023 14:25:50 +0000

kdenlive (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:33:46 +0000

kdenlive (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:30:02 +0100
