## kdenlive 24.02.0

=== debian/changelog ===
kdenlive (24.02.0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 04 Mar 2024 11:51:39 +0100

kdenlive (23.08.5-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 19 Feb 2024 13:00:31 +0100
