## kdenlive 24.02.1

=== debian/changelog ===
kdenlive (24.02.1-1) unstable; urgency=medium

  * New upstream release.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 03 Apr 2024 11:02:47 +0200
