## kdenlive 24.05.0

=== debian/changelog ===
kdenlive (24.05.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 27 May 2024 11:56:34 +0200

kdenlive (24.02.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 19 Apr 2024 16:05:53 +0200
