## kdenlive 24.05.2

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-License-Identifier: BSD-2-Clause
+# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>, Julius Künzel <jk.kdedev@smartlab.uber.space>, Eric Jiang <erjiang@alumni.iu.edu>, Vincent Pinon <vincent.pinon@asygn.com>
+
 include_directories(${MLT_INCLUDE_DIR} ${MLTPP_INCLUDE_DIR} ..)
 set(TEST_SOURCES ${CMAKE_CURRENT_SOURCE_DIR})
 configure_file(tests_definitions.h.in tests_definitions.h)
@@ -9,6 +12,7 @@
     compositiontest.cpp
     documenttest.cpp
     effectstest.cpp
+    effectsgrouptest.cpp
     filetest.cpp
     groupstest.cpp
     hidetest.cpp
@@ -20,6 +24,8 @@
     nestingtest.cpp
     regressions.cpp
     rendermodeltest.cpp
+    replacetest.cpp
+    sequencetest.cpp
     snaptest.cpp
     spacertest.cpp
     subtitlestest.cpp
