=== src/utils/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: Jean-Baptiste Mardelle <jb@kdenlive.org>, Nicolas Carion <french.ebook.lover@gmail.com>, Julius Künzel <jk.kdedev@smartlab.uber.space>

set(kdenlive_SRCS
  ${kdenlive_SRCS}
  utils/clipboardproxy.cpp
  utils/colortools.cpp
  utils/devices.cpp
  utils/flowlayout.cpp
  utils/gentime.cpp
  utils/qcolorutils.cpp
  utils/sysinfo.cpp
  utils/thememanager.cpp
  utils/thumbnailcache.cpp
  utils/timecode.cpp
  utils/qstringutils.cpp
  PARENT_SCOPE
)
