=== debian/changelog ===
kdenlive (24.05.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 08 Jul 2024 13:57:15 +0200
